## django-sitetree 1.14.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-sitetree.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-sitetree.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-sitetree"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-sitetree"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-sitetree 1.0.0

=== debian/changelog ===
django-sitetree (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #739404).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 11 Mar 2014 21:59:01 +0100

=== debian/control ===
Source: django-sitetree
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 9),
               python-all,
               python-babel,
               python-django (>= 1.4.2),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: https://github.com/idlesign/django-sitetree
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-sitetree/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-sitetree/trunk/

Package: python-django-sitetree
Architecture: all
Depends: python-django (>= 1.4.2),
         python-django-south (>= 0.7.1),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-django-sitetree-doc
Description: site tree, menu and breadcrumbs navigation for Django
 django-sitetree is a reusable application for Django, introducing site tree,
 menu and breadcrumbs navigation elements. Site structure in django-sitetree is
 described through Django admin interface in a so called site trees. Every item
 of such a tree describes a page or a set of pages through the relation of URI
 or URL to human-friendly title.

Package: python-django-sitetree-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: site tree, menu and breadcrumbs navigation for Django (Documentation)
 django-sitetree is a reusable application for Django, introducing site tree,
 menu and breadcrumbs navigation elements. Site structure in django-sitetree is
 described through Django admin interface in a so called site trees. Every item
 of such a tree describes a page or a set of pages through the relation of URI
 or URL to human-friendly title.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	set -e; \
	for loc in sitetree/locale/*; do \
		python setup.py compile_catalog --directory sitetree/locale/ --locale $$(basename $$loc) --domain django; \
	done
	PYTHONPATH=. sphinx-build -b html -d docs/build/.doctrees -N docs/source docs/build/html
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
		$$python sitetree/runtests.py; \
	done
endif

override_dh_clean:
	rm -rf docs/build/html
	rm -rf docs/build/.doctrees
	dh_clean

## django-sitetree 1.2.0

=== debian/changelog ===
django-sitetree (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Drop unnecessary versioned dependency for python3-django.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 20 Oct 2014 12:02:24 +0200

django-sitetree (1.1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #755604).
  * Add dh-python to Build-Depends.
  * Switch buildsystem to pybuild.
  * Add support for Python3.
  * Remove now obsolete d/python-django-sitetree.install.
  * Update years in d/copyright.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sat, 20 Sep 2014 18:42:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,19 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python-all,
                python-babel,
                python-django (>= 1.4.2),
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.5
+               python-sphinx (>= 1.0.7+dfsg),
+               python3-all,
+               python3-babel,
+               python3-django,
+               python3-setuptools
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Homepage: https://github.com/idlesign/django-sitetree
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-sitetree/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-sitetree/trunk/
@@ -29,6 +35,21 @@
  of such a tree describes a page or a set of pages through the relation of URI
  or URL to human-friendly title.
 
+Package: python3-django-sitetree
+Architecture: all
+Depends: python3-django,
+         ${misc:Depends},
+         ${python3:Depends}
+Suggests: python-django-sitetree-doc
+Description: site tree, menu and breadcrumbs navigation for Django (Python3 version)
+ django-sitetree is a reusable application for Django, introducing site tree,
+ menu and breadcrumbs navigation elements. Site structure in django-sitetree is
+ described through Django admin interface in a so called site trees. Every item
+ of such a tree describes a page or a set of pages through the relation of URI
+ or URL to human-friendly title.
+ .
+ This package contains the Python 3 version of the library.
+
 Package: python-django-sitetree-doc
 Section: doc
 Architecture: all

## django-sitetree 1.4.0

=== debian/changelog ===
django-sitetree (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Add python-mock and python3-mock to Build-Depends to satisfy test
    dependencies.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 May 2015 11:11:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
+Uploaders: Michael Fladischer <fladi@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
                python-babel,
                python-django (>= 1.4.2),
+               python-mock,
                python-setuptools,
                python-sphinx (>= 1.0.7+dfsg),
                python3-all,
                python3-babel,
                python3-django,
+               python3-mock,
                python3-setuptools
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6

## django-sitetree 1.5.1

=== debian/changelog ===
django-sitetree (1.5.1-2) unstable; urgency=low

  * Remove dependency on python-django-south (Closes: #808000).
  * Bump dependency on python-django to >= 1.7.

 -- Michael Fladischer <fladi@debian.org>  Sun, 27 Dec 2015 20:28:47 +0100

django-sitetree (1.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 26 Dec 2015 21:26:03 +0100

django-sitetree (1.5.0-1) unstable; urgency=low

  [ Michael Fladischer ]
  * New upstream release.

  [ SVN-Git Migration ]
  * git-dpm config
  * Update Vcs fields for git migration

 -- Michael Fladischer <fladi@debian.org>  Thu, 19 Nov 2015 11:56:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python-all,
                python-babel,
-               python-django (>= 1.4.2),
+               python-django (>= 1.7),
                python-mock,
                python-setuptools,
                python-sphinx (>= 1.0.7+dfsg),
@@ -20,13 +20,12 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/idlesign/django-sitetree
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-sitetree/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-sitetree/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-sitetree.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-sitetree.git
 
 Package: python-django-sitetree
 Architecture: all
-Depends: python-django (>= 1.4.2),
-         python-django-south (>= 0.7.1),
+Depends: python-django (>= 1.7),
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-django-sitetree-doc

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-sitetree

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	set -e; \
	for loc in sitetree/locale/*; do \
		python setup.py compile_catalog --directory sitetree/locale/ --locale $$(basename $$loc) --domain django; \
	done
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/build/.doctrees -N docs/source docs/build/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r) $(shell py3versions -r); do \
		$$python sitetree/runtests.py; \
	done
endif

override_dh_clean:
	rm -rf docs/build/html
	rm -rf docs/build/.doctrees
	dh_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/django-sitetree-$1/ \
https://github.com/idlesign/django-sitetree/tags \
/idlesign/django-sitetree/archive/v([\d\.]+)\.tar\.gz

## django-sitetree 1.7.0

=== debian/changelog ===
django-sitetree (1.7.0-1) unstable; urgency=low

  * New upstream release.
  * Add python(3)-pytest and python(3)-pytest-django to B-D so tests can
    run.
  * Clean .cache/ to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Sun, 25 Dec 2016 14:53:01 +0100

django-sitetree (1.6.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release (Closes: #828657).
  * Bump Standards-Version to 3.9.8.
  * Use https:// for copyright-format 1.0 URL.
  * Use python3-sphinx to build documentation.

 -- Michael Fladischer <fladi@debian.org>  Mon, 29 Aug 2016 22:38:33 +0200

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,22 @@
                python-babel,
                python-django (>= 1.7),
                python-mock,
+               python-pytest,
+               python-pytest-django,
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg),
                python3-all,
                python3-babel,
                python3-django,
                python3-mock,
-               python3-setuptools
-Standards-Version: 3.9.6
+               python3-pytest,
+               python3-pytest-django,
+               python3-setuptools,
+               python3-sphinx
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/idlesign/django-sitetree
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-sitetree.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-sitetree.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-sitetree.git
 
 Package: python-django-sitetree

=== debian/rules ===
--- 
+++ 
@@ -30,4 +30,5 @@
 override_dh_clean:
 	rm -rf docs/build/html
 	rm -rf docs/build/.doctrees
+	rm -rf .cache
 	dh_clean

## django-sitetree 1.8.0+dfsg

=== debian/changelog ===
django-sitetree (1.8.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repack upstream source to exclude demo app.
  * Add patch to fix value of Language fields for django.po files
    (Closes: #865943).
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 13 Jul 2017 15:22:58 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-pytest-django,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/idlesign/django-sitetree

## django-sitetree 1.9.0%2Bdfsg

=== debian/control ===
Source: django-sitetree
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-babel,
 python-django (>= 1.7),
 python-mock,
 python-pytest,
 python-pytest-django,
 python-setuptools,
 python3-all,
 python3-babel,
 python3-django,
 python3-mock,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.1.2
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/idlesign/django-sitetree
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-sitetree.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-sitetree.git
Testsuite: autopkgtest-pkg-python

Package: python-django-sitetree
Architecture: all
Depends:
 python-django (>= 1.7),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-django-sitetree-doc,
Description: site tree, menu and breadcrumbs navigation for Django
 django-sitetree is a reusable application for Django, introducing site tree,
 menu and breadcrumbs navigation elements. Site structure in django-sitetree is
 described through Django admin interface in a so called site trees. Every item
 of such a tree describes a page or a set of pages through the relation of URI
 or URL to human-friendly title.

Package: python-django-sitetree-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: site tree, menu and breadcrumbs navigation for Django (Documentation)
 django-sitetree is a reusable application for Django, introducing site tree,
 menu and breadcrumbs navigation elements. Site structure in django-sitetree is
 described through Django admin interface in a so called site trees. Every item
 of such a tree describes a page or a set of pages through the relation of URI
 or URL to human-friendly title.
 .
 This package contains the documentation.

Package: python3-django-sitetree
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-sitetree-doc,
Description: site tree, menu and breadcrumbs navigation for Django (Python3 version)
 django-sitetree is a reusable application for Django, introducing site tree,
 menu and breadcrumbs navigation elements. Site structure in django-sitetree is
 described through Django admin interface in a so called site trees. Every item
 of such a tree describes a page or a set of pages through the relation of URI
 or URL to human-friendly title.
 .
 This package contains the Python 3 version of the library.

## django-sitetree 1.9.0+dfsg

=== debian/changelog ===
django-sitetree (1.9.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Drop patch to unmask test failures, merged upstream.
  * Remove trailing slash from Files-Excluded entry.

 -- Michael Fladischer <fladi@debian.org>  Wed, 20 Dec 2017 10:19:05 +0100

django-sitetree (1.8.0+dfsg-2) unstable; urgency=low

  * Refresh patches after git-dpm to gbp pq conversion
  * Add patch by Chris Lamb to unmask exit code in runtests.py (Closes:
    #877321).
  * Bump Standards-Version to 4.1.2.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Mon, 11 Dec 2017 17:36:52 +0100

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/django-sitetree-$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://github.com/idlesign/django-sitetree/tags \
/idlesign/django-sitetree/archive/v([\d\.]+)\.tar\.gz

## django-sitetree 1.10.0+dfsg

=== debian/changelog ===
django-sitetree (1.10.0+dfsg-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.4.
  * Extend patch to fix Language field in japanese django.po.
  * Build documentation in override_dh_sphinxdoc.
  * Remove lintian override for missing GPG signature check on source
    tarball to serve as a reminder to improve on this.

 -- Michael Fladischer <fladi@debian.org>  Sat, 02 Jun 2018 19:13:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python-babel,
@@ -22,12 +22,10 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.2
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Standards-Version: 4.1.4
 Homepage: https://github.com/idlesign/django-sitetree
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-sitetree.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-sitetree.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/django-sitetree.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/django-sitetree
 Testsuite: autopkgtest-pkg-python
 
 Package: python-django-sitetree

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,18 @@
 		python setup.py compile_catalog --directory sitetree/locale/ --locale $$(basename $$loc) --domain django; \
 	done
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -b html -d docs/build/.doctrees -N docs/source docs/build/html
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build -b html -N docs/source $(CURDIR)/debian/python-django-sitetree-doc/usr/share/doc/python-django-sitetree-doc/html
+	dh_sphinxdoc
+endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e; \
 	for python in $(shell pyversions -r) $(shell py3versions -r); do \
 		$$python sitetree/runtests.py; \

## django-sitetree 1.12.0%2Bdfsg

=== debian/changelog ===
django-sitetree (1.12.0+dfsg-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Disable tests, upstream relies on pytest-djangoapp which has not
    been packaged yet.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Sun, 23 Dec 2018 17:16:31 +0100

## django-sitetree 1.12.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/idlesign/django-sitetree
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-sitetree.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-sitetree

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-sitetree
export PYBUILD_DISABLE=test # Missing pytest-djangoapp package

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	set -e; \
	for loc in sitetree/locale/*; do \
		python setup.py compile_catalog --directory sitetree/locale/ --locale $$(basename $$loc) --domain django; \
	done
	dh_auto_build

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/source $(CURDIR)/debian/python-django-sitetree-doc/usr/share/doc/python-django-sitetree-doc/html
	dh_sphinxdoc
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_clean:
	rm -rf docs/build/html
	rm -rf docs/build/.doctrees
	rm -rf .cache
	dh_clean

## django-sitetree 1.13.0+dfsg

=== debian/changelog ===
django-sitetree (1.13.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Reupload without binaries to allow migration.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 12:52:47 +0500

django-sitetree (1.13.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.0.
  * Add patch to remove remote image for potential privacy issues in
    HTML documentation.

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Jul 2019 14:26:17 +0200

django-sitetree (1.12.0+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 15:19:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,8 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
- python-all,
- python-babel,
- python-django (>= 1.7),
- python-mock,
- python-pytest,
- python-pytest-django,
- python-setuptools,
  python3-all,
  python3-babel,
  python3-django,
@@ -22,26 +15,11 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/idlesign/django-sitetree
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-sitetree.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-sitetree
 Testsuite: autopkgtest-pkg-python
-
-Package: python-django-sitetree
-Architecture: all
-Depends:
- python-django (>= 1.7),
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-django-sitetree-doc,
-Description: site tree, menu and breadcrumbs navigation for Django
- django-sitetree is a reusable application for Django, introducing site tree,
- menu and breadcrumbs navigation elements. Site structure in django-sitetree is
- described through Django admin interface in a so called site trees. Every item
- of such a tree describes a page or a set of pages through the relation of URI
- or URL to human-friendly title.
 
 Package: python-django-sitetree-doc
 Section: doc

## django-sitetree 1.14.0+dfsg

=== debian/changelog ===
django-sitetree (1.14.0+dfsg-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Wed, 22 Jan 2020 19:41:07 +0100

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,12 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/idlesign/django-sitetree
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-sitetree.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-sitetree
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-django-sitetree-doc
 Section: doc

## django-sitetree 1.16.0+dfsg

=== debian/changelog ===
django-sitetree (1.16.0+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Oct 2020 17:29:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: django-sitetree
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-babel,
@@ -15,10 +15,10 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/idlesign/django-sitetree
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-sitetree.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-sitetree
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-sitetree.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-sitetree
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

## django-sitetree 1.17.0+dfsg

=== debian/changelog ===
django-sitetree (1.17.0+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-django-sitetree-doc: Add Multi-Arch: foreign.

  [ Diego M. Rodriguez ]
  * d/tests: specify import name

  [ Michael Fladischer ]
  * New upstream release.
  * Update d/watch to work with github again.
  * Remove privacy patch, fixed by upstream.
  * Bump Standards-Version to 4.6.0.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Sat, 04 Sep 2021 19:26:16 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/idlesign/django-sitetree
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-sitetree.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-sitetree
@@ -28,6 +28,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: site tree, menu and breadcrumbs navigation for Django (Documentation)
  django-sitetree is a reusable application for Django, introducing site tree,
  menu and breadcrumbs navigation elements. Site structure in django-sitetree is

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,15 @@
 #!/usr/bin/make -f
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
 
 export PYBUILD_NAME=django-sitetree
 export PYBUILD_DISABLE=test # Missing pytest-djangoapp package
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	set -e; \
 	for loc in sitetree/locale/*; do \
-		python setup.py compile_catalog --directory sitetree/locale/ --locale $$(basename $$loc) --domain django; \
+		python3 setup.py compile_catalog --directory sitetree/locale/ --locale $$(basename $$loc) --domain django; \
 	done
 	dh_auto_build

## django-sitetree 1.17.2+dfsg

=== debian/changelog ===
django-sitetree (1.17.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Depend on python3-pytest-djangoapp instead of python3-pytest-django
    for tests.
  * Update year in d/copyright.
  * Add patch to install all test files.
  * Run upstream tests during build.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Sat, 06 Aug 2022 12:20:01 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-django,
  python3-mock,
  python3-pytest,
- python3-pytest-django,
+ python3-pytest-djangoapp,
  python3-setuptools,
  python3-sphinx,
 Standards-Version: 4.6.0

## django-sitetree 1.17.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pytest-djangoapp,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/idlesign/django-sitetree
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-sitetree.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-sitetree

## django-sitetree 1.17.3+dfsg

=== debian/changelog ===
django-sitetree (1.17.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 27 Sep 2022 09:37:02 +0000

## django-sitetree 1.18.0+dfsg

=== debian/changelog ===
django-sitetree (1.18.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Port to Django 5.1.  Thanks to Lena Voytek of Ubuntu for identifying the
    upstream patch.

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jan 2025 12:08:22 +0000

django-sitetree (1.18.0+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Remove extraneous build-dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Tue, 27 Feb 2024 23:28:34 +0100

django-sitetree (1.18.0+dfsg-1) unstable; urgency=low

  * New upstream version 1.18.0+dfsg
  * Bump Standards-Version to 4.6.2.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sat, 30 Dec 2023 19:03:10 +0000

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,11 @@
  python3-all,
  python3-babel,
  python3-django,
- python3-mock,
  python3-pytest,
  python3-pytest-djangoapp,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/idlesign/django-sitetree
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-sitetree.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-sitetree

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=django-sitetree
-export PYBUILD_DISABLE=test # Missing pytest-djangoapp package
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/django-sitetree-$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://github.com/idlesign/django-sitetree/tags \
/idlesign/django-sitetree/archive/refs/tags/v([\d\.]+)\.tar\.gz
